# This file setup gazebo and gazebo plugin environment variables needed by
# gazebo for robocup3ds

if [ -f /share/gazebo/setup.sh ]; then
  . /share/gazebo/setup.sh
elif [ -f /usr/share/gazebo/setup.sh ]; then
  . /usr/share/gazebo/setup.sh
else
  echo "Warning: failed to find Gazebo's setup.sh.  You will need to source it manually. Afterwards, source share/robocup3ds/setup.sh again."
fi

# Add our top-level directory to GAZEBO_RESOURCE_PATH so that its
# worlds/* media/materials/* stuff can be found.
export GAZEBO_RESOURCE_PATH=/usr/share/robocup3ds:$GAZEBO_RESOURCE_PATH

# Add the directories containing our Gazebo plugins to GAZEBO_PLUGIN_PATH.
export GAZEBO_PLUGIN_PATH=/usr/lib/i386-linux-gnu/robocup3ds:$GAZEBO_PLUGIN_PATH

# Models are installed in ${CMAKE_INSTALL_PREFIX}/share/robocup3ds/models
export GAZEBO_MODEL_PATH=/usr/share/robocup3ds/models:$GAZEBO_MODEL_PATH
